// DirSelectDialog.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CDirSelectDialog ダイアログ

class CDirSelectDialog : public CDialog
{
// コンストラクション
public:
	CString InitialDirectory;
	CString SelectedPath;
	CDirSelectDialog(CWnd* pParent = NULL);   // 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CDirSelectDialog)
	enum { IDD = IDD_DIRSELECT };
		// メモ: ClassWizard はこの位置にデータ メンバを追加します。
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数を生成しオーバーライドします。
	//{{AFX_VIRTUAL(CDirSelectDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CDirSelectDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeDirectory();
	afx_msg void OnDblclkDirectory();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnRoot();
	afx_msg void OnSelchangeDrive();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString OldPath;
	BOOL SetDirInfo();
};
